Bug 291082 - Minted environment is not highlighted properly
Summary: Minted environment is not highlighted properly
Status: RESOLVED FIXED
Alias: None
Product: kile
Classification: Unclassified
Component: editor (show other bugs)
Version: 2.1.0
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Michel Ludwig
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-09 20:42 UTC by Javier
Modified: 2012-12-10 19:40 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Javier 2012-01-09 20:42:12 UTC
Version:           2.1.0 (using KDE 4.7.3) 
OS:                Linux

Everything inside a minted environment is treated as normal text, when it should be treated as verbatim.

Reproducible: Always

Steps to Reproduce:
Just paste this code into a .tex file within kile
\begin{minted}{php}
  <?php $hello = "world" ?>
\end{minted}

Actual Results:  
The dollar sign ($) is treated as "math mode", and all the highlighting after that goes green. (which should be fine, if it werent a verbatim envirnoment)

Expected Results:  
The best would be if kile highlighted the code depending on the paramater of the minted environment. In this case, highlight it as php. I know this can be a lot of work (considering all the possible languages minted has available!) so higlighting it as standard verbatim should be fine too.

A workaround has already been posted on the community at http://www.latex-community.org/forum/viewtopic.php?f=20&t=206, but i feel its not the optimal way of solving this.
Comment 1 Philipp A. 2012-12-08 16:01:25 UTC
fixed, please ship :D

https://git.reviewboard.kde.org/r/107633/
Comment 2 Michel Ludwig 2012-12-10 19:40:02 UTC
Git commit 6aea10d62b6558a657c6385416c7d477ae67cba6 by Michel Ludwig.
Committed on 10/12/2012 at 20:37.
Pushed by mludwig into branch 'master'.

Add support for the LaTeX environment (and command) 'minted'

Patch by Phil Schaf <flying-sheep@web.de>.

M  +12   -4    part/syntax/data/latex.xml

http://commits.kde.org/kate/6aea10d62b6558a657c6385416c7d477ae67cba6